PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
CREATE TABLE config
(
  ID INTEGER PRIMARY KEY,
  "key" TEXT,
  "value" TEXT
);
CREATE TABLE element_instances_layouts
(
  ID INTEGER PRIMARY KEY,
  element_instance_uuid TEXT,
  is_selected INTEGER,
  layout_x BIGINT,
  layout_y BIGINT
);
CREATE TABLE element_layouts (ID INTEGER PRIMARY KEY AUTOINCREMENT, element_key BIGINT, is_selected INTEGER, layout_x BIGINT, layout_y BIGINT, picture TEXT);
CREATE TABLE fog_layouts (ID INTEGER PRIMARY KEY AUTOINCREMENT, instance_id TEXT, is_selected INTEGER, layout_x BIGINT, layout_y BIGINT);
INSERT INTO fog_layouts
VALUES(12, 'fVmnRpHgdNnDw7XJLJw7GV4NVRhjk4V3', 1, 40, 40);
INSERT INTO fog_layouts
VALUES(13, 'wZjzRH4WFmJQH8VFmLy2CdRZPLy4vYYH', 1, 20, 40);
DELETE FROM sqlite_sequence;
INSERT INTO sqlite_sequence
VALUES('element_layouts', 157);
INSERT INTO sqlite_sequence
VALUES('fog_layouts', 13);
INSERT INTO config (key, value) VALUES ('port', '54521');
INSERT INTO config (key, value) VALUES ('ssl_key', '/iotracks/certs/iofog.org/server-key.pem');
INSERT INTO config (key, value) VALUES ('intermediate_cert', '/iotracks/certs/iofog.org/IntermediateCA.crt');
INSERT INTO config (key, value) VALUES ('ssl_cert', '/iotracks/certs/iofog.org/ssl_certificate.crt');
COMMIT;
