'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _elementInstancesLayouts = require('./../models/elementInstancesLayouts');

var _elementInstancesLayouts2 = _interopRequireDefault(_elementInstancesLayouts);

var _baseManager = require('./../managers/baseManager');

var _baseManager2 = _interopRequireDefault(_baseManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ElementInstancesLayoutsManager = function (_BaseManager) {
	_inherits(ElementInstancesLayoutsManager, _BaseManager);

	function ElementInstancesLayoutsManager() {
		_classCallCheck(this, ElementInstancesLayoutsManager);

		return _possibleConstructorReturn(this, (ElementInstancesLayoutsManager.__proto__ || Object.getPrototypeOf(ElementInstancesLayoutsManager)).apply(this, arguments));
	}

	_createClass(ElementInstancesLayoutsManager, [{
		key: 'create',
		value: function create(elementInstanceLayout) {
			return _elementInstancesLayouts2.default.create(elementInstanceLayout);
		}
	}, {
		key: 'findByUuIds',
		value: function findByUuIds(uuid) {
			return _elementInstancesLayouts2.default.findAll({
				where: {
					elementInstanceUuid: uuid
				}
			});
		}
	}, {
		key: 'updateLayoutByElementInstanceId',
		value: function updateLayoutByElementInstanceId(id, data) {
			return _elementInstancesLayouts2.default.update(data, {
				where: {
					elementInstanceUuid: id
				}
			});
		}
	}, {
		key: 'deleteLayoutsByUuids',
		value: function deleteLayoutsByUuids(uuid) {
			return _elementInstancesLayouts2.default.destroy({
				where: {
					elementInstanceUuid: uuid
				}
			});
		}
	}]);

	return ElementInstancesLayoutsManager;
}(_baseManager2.default);

var instance = new ElementInstancesLayoutsManager();
exports.default = instance;