'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * @file constants.js
 * @author Zishan Iqbal
 * @description This file includes the contant values that are used in the controllers;
 */

var CONFIG = {
  port: 'port',
  ssl_key: 'ssl_key',
  ssl_cert: 'ssl_cert',
  intermediate_cert: 'intermediate_cert',
  fog_controller_ip_address: 'fog_controller_ip_address',
  fog_controller_port: 'fog_controller_port',
  fog_controller_protocol: 'fog_controller_protocol'
};

exports.default = {
  CONFIG: CONFIG
};