'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _fogLayouts = require('./../models/fogLayouts');

var _fogLayouts2 = _interopRequireDefault(_fogLayouts);

var _baseManager = require('./../managers/baseManager');

var _baseManager2 = _interopRequireDefault(_baseManager);

var _sequelize = require('./../utils/sequelize');

var _sequelize2 = _interopRequireDefault(_sequelize);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FogLayoutsManager = function (_BaseManager) {
	_inherits(FogLayoutsManager, _BaseManager);

	function FogLayoutsManager() {
		_classCallCheck(this, FogLayoutsManager);

		return _possibleConstructorReturn(this, (FogLayoutsManager.__proto__ || Object.getPrototypeOf(FogLayoutsManager)).apply(this, arguments));
	}

	_createClass(FogLayoutsManager, [{
		key: 'create',
		value: function create(fogLayoutObj) {
			return _fogLayouts2.default.create(fogLayoutObj);
		}
	}, {
		key: 'findByinstanceId',
		value: function findByinstanceId(instanceId) {
			return _fogLayouts2.default.findAll({
				where: {
					instanceId: instanceId
				}
			});
		}
	}, {
		key: 'updateLayoutByInstanceId',
		value: function updateLayoutByInstanceId(instanceId, data) {
			return _fogLayouts2.default.update(data, {
				where: {
					instanceId: instanceId
				}
			});
		}
	}, {
		key: 'deleteLayoutsByInstanceId',
		value: function deleteLayoutsByInstanceId(instanceId) {
			return _fogLayouts2.default.destroy({
				where: {
					instanceId: instanceId
				}
			});
		}
	}]);

	return FogLayoutsManager;
}(_baseManager2.default);

var instance = new FogLayoutsManager();
exports.default = instance;